This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 893579 - mount.cifs doesn't follow credentials option
mount.cifs doesn't follow credentials option
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cifs-utils (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-09 09:01 EST by Andrew Dunn
Modified: 2014-06-18 03:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 06:52:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Dunn 2013-01-09 09:01:41 EST
Description of problem:

when using mount.cifs I always specify a credentials file. For example: 

sudo mount -t cifs -o credentials=/etc/samba.<username> //server/share /mnt/server/share

The credentials file is formatted as:
username=<username>
password="<password>"

however when I run the mount with '-v' I see that its trying to mount with a username of root.


Version-Release number of selected component (if applicable):
mount from util-linux 2.22.1


How reproducible:
Every time. I've had to switch over to specifying my user and pass as options to the mount call. I have all of this in my .bashrc as aliases, not a very good solution. I would like to be able to use the credentials option again.


Steps to Reproduce:
1. set up a credentials file (example: /etc/samba.<username>)
2. call mount cifs (example: mount -t cifs -o credentials=/etc/samba.<username> //server/share /mountpoint
3. get a mount error(13): Permission denied
  
Actual results:
Will not mount, permission denied


Expected results:
Read the credentials file and mount the share


Additional info:
Comment 1 Jeff Layton 2013-02-01 12:13:56 EST
What version of cifs-utils do you have? If it's lower than 5.9-3 then please update to that and let me know if it's still a problem.
Comment 2 Jeff Layton 2013-02-21 06:52:53 EST
No response in almost 3 weeks. Closing with resolution of INSUFFICIENT_DATA. Please reopen if this is still a problem with the latest cifs-utils.

Note You need to log in before you can comment on or make changes to this bug.